# Abrechnung

[![GitHub Actions Status](https://github.com/SFTtech/abrechnung/actions/workflows/ci_testing.yaml/badge.svg)](https://github.com/SFTtech/abrechnung/actions/workflows/ci_testing.yaml)

The **Abrechnung** aims to be a versatile and user-centric payment, transaction and bookkeeping management tool for human groups and events.

You can find a demo instance [here](https://demo.abrechnung.sft.lol).

Basic features:

* Multitenant access
* Expense tracking
* Invoice handling + optional position specification
* Assignment (by fractions or counts) of positions and invoices
* Account balance compensation
* Clearing accounts

In other words, it's a tool to track *money*, *purchases* (and its items) and *entities* for:
* Holiday trips
* LAN parties
* Regular parties
* Cooking revelries
* Your Hackerspace
* Flat share roommates
* Accommodations with your friends
* Accommodations with your enemies
* Your family life
* Any event (even life itself)


## Documentation

[Read the documentation!](https://abrechnung.readthedocs.io)


## Technical foundation

Technology        | Component
------------------|----------
**Python**        | Backend logic
**React**         | Web UI framework
**PostgresSQL**   | Database
**Homo Sapiens**  | Magic sauce


## Contributing

If there is **that feature** you really want to see implemented, you found a **bug** or would like to help in some other way, the project of course benefits from your contributions!

* [Contribution guide](https://abrechnung.readthedocs.io/en/latest/development/contributing.html)
* [Issue tracker](https://github.com/SFTtech/abrechnung/issues)
* [Code contributions](https://github.com/SFTtech/abrechnung/pulls)
* [Development roadmap](https://github.com/SFTtech/abrechnung/projects)


## Contact

To directly reach developers and other users, we have chat rooms.
For questions, suggestions, problem support, please join and just ask!

Contact          | Where?
-----------------|-------
Issue Tracker    | [SFTtech/abrechnung](https://github.com/SFTtech/abrechnung/issues)
Matrix Chat      | [`#sfttech:matrix.org`](https://app.element.io/#/room/#sfttech:matrix.org)
IRC Chat         | [`libera.chat #sfttech`](https://web.libera.chat/#sfttech)
Money Sink       | [![money sink](https://liberapay.com/assets/widgets/donate.svg)](https://liberapay.com/SFTtech)


## License

Released under the **GNU Affero General Public License** version 3 or later, see [COPYING](COPYING)
and [LICENSE](LICENSE) for details.
